#
%define	filterout_ld	-Wl,--as-needed
Summary:	Microsoft Exchange support for Evolution
Summary(pl.UTF-8):	Wsparcie dla Microsoft Exchange w Evolution
Name:		evolution-exchange
Version:	3.4.4
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/evolution-exchange/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	81feb8cc7e9fb8726b33f84dc498dda6
BuildRequires:	GConf2-devel >= 2.22.0
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd412-xml
BuildRequires:	evolution-data-server-devel >= %{version}
BuildRequires:	evolution-devel >= %{version}
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.36.2
BuildRequires:	libsoup-devel >= 2.4.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	nss-devel
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,preun):	GConf2
Requires:	evolution >= %{version}
Requires:	gtk+3 >= 3.0.0
Obsoletes:	ximian-connector
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package adds support for Microsoft Exchange 2000 and 2003 to
Evolution.

%description -l pl.UTF-8
Ten pakiet dodaje do Evolution obsługę Microsoft Exchange 2000 i 2003.

%package apidocs
Summary:	Microsoft Exchange support for Evolution API documentation
Summary(pl.UTF-8):	Dokumentacja API wsparcia Microsoft Exchange w Evolution
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Microsoft Exchange support for Evolution API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API wsparcia Microsoft Exchange w Evolution.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-openldap=/usr \
	--disable-schemas-install \
	--disable-silent-rules \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/evolution-data-server/{addressbook-backends,calendar-backends,camel-providers}/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/evolution-exchange/3.4/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/evolution/*/plugins/*.la

%find_lang %{name}-3.4

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install apps_exchange_addressbook-3.4.schemas

%preun
%gconf_schema_uninstall apps_exchange_addressbook-3.4.schemas

%files -f %{name}-3.4.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/apps_exchange_addressbook-3.4.schemas
%attr(755,root,root) %{_bindir}/exchange-connector-setup-3.4
%attr(755,root,root) %{_libdir}/evolution-data-server/addressbook-backends/libebookbackendexchange.so
%attr(755,root,root) %{_libdir}/evolution-data-server/calendar-backends/libecalbackendexchange.so
%attr(755,root,root) %{_libdir}/evolution-data-server/camel-providers/libcamelexchange.so
%{_libdir}/evolution-data-server/camel-providers/libcamelexchange.urls
%dir %{_libdir}/evolution-exchange
%dir %{_libdir}/evolution-exchange/3.4
%attr(755,root,root) %{_libdir}/evolution-exchange/3.4/libevolution-exchange-shared.so
%attr(755,root,root) %{_libdir}/evolution-exchange/3.4/libexchange-storage.so
%attr(755,root,root) %{_libdir}/evolution-exchange/3.4/libexchange.so*
%attr(755,root,root) %{_libdir}/evolution-exchange/3.4/libxntlm.so*
%attr(755,root,root) %{_libdir}/evolution/3.4/plugins/liborg-gnome-exchange-operations.so
%{_libdir}/evolution/3.4/plugins/org-gnome-exchange-operations.eplug
%{_datadir}/evolution/3.4/errors/org-gnome-exchange-operations.error
%{_datadir}/evolution-exchange

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/evolution-exchange
%changelog
* Fri Aug 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> c31c949
- updated to 3.4.4

* Sat Jun 23 2012 Łukasz Kieś <kiesiu@pld-linux.org> 52c8c3a
- updated to 3.4.3

* Mon Apr 16 2012 Marcin Banasiak <marcin.banasiak@gmail.com> da0ee63
- updated to 3.4.1

* Wed Mar 28 2012 Łukasz Kieś <kiesiu@pld-linux.org> 2326a5b
- updated to 3.4.0

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a6b622a
- release 4

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> abd603f
- release 3

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 89a15f3
- release 2

* Tue Jan 31 2012 Łukasz Kieś <kiesiu@pld-linux.org> c9466dc
- updated to 3.2.3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 54fb006
- release 2

* Tue Oct 18 2011 Łukasz Kieś <kiesiu@pld-linux.org> 61ac350
- updated to 3.2.1

* Sun Oct 02 2011 Łukasz Kieś <kiesiu@pld-linux.org> 0b82447
- updated to 3.2.0
- use *.xz sources

* Sun May 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6979b98
- release 2

* Tue Apr 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 3002754
- updated to 3.0.1

* Thu Apr 07 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 973370a
- obsolete

* Thu Apr 07 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 2415b9b
- updated to 3.0.0
- removed obsolete gtk224.patch

* Sat Mar 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 80d7271
- en@shaw locale is now supported (via LANGUAGE)

* Wed Feb 23 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 68ed654
- updated to 2.32.2

* Sun Feb 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a0b4be5
- release 3

* Tue Feb 15 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 88acd91
- release 2

* Sat Feb 12 2011 Szymon Siwek <sls@pld-linux.org> b03cb8a
- added fix for compiling with gtk-2.24

